## haskell-cabal 0.2

=== Makefile ===
GHCFLAGS= --make -Wall -cpp
PREF=/usr/local
USER_FLAG =
GHCPKGFLAGS = 

# Comment out this line if your system doesn't have System.Posix.
ISPOSIX=-DHAVE_UNIX_PACKAGE

ifdef user
USER_FLAG = --user
GHCPKGFLAGS = -f ~/.ghc-packages
GHCFLAGS += -package-conf ~/.ghc-packages
endif

all: moduleTest

# build the library itself

setup::
	mkdir -p dist/tmp
	ghc $(GHCFLAGS) -odir dist/tmp -hidir dist/tmp Setup -o setup

Setup-nhc:
	hmake -nhc98 -package base -prelude Setup

config: setup
	./setup configure --ghc --prefix=$(PREF)

build: build-stamp
build-stamp: config
	./setup build

install: build-stamp
	./setup install $(USER_FLAG)

hugsbootstrap:
	rm -rf dist/tmp
	mkdir -p dist/tmp
	mkdir dist/hugs
	cp -r Distribution Compat dist/tmp
	hugs-package dist/tmp dist/hugs
	cp Setup.lhs Setup.description dist/hugs

hugsinstall: hugsbootstrap
	cd dist/hugs && ./Setup.lhs configure --hugs
	cd dist/hugs && ./Setup.lhs build
	cd dist/hugs && ./Setup.lhs install

# Lame for now. I don't mind though, because cabal itself should be
# able to do this soon.  Needs cpphs.
haddock:
	rm -rf dist/doc
	mkdir -p dist/doc/Distribution/Simple
	mkdir -p dist/tmp/doc/html
	cpphs --noline Distribution/Package.hs > dist/doc/Distribution/Package.hs.raw
	cpphs --noline Distribution/Misc.hs > dist/doc/Distribution/Misc.hs.raw
	cpphs --noline Distribution/Version.hs > dist/doc/Distribution/Version.hs.raw
	cpphs --noline Distribution/Setup.hs > dist/doc/Distribution/Setup.hs.raw
	cpphs --noline Distribution/ModuleTest.hs > dist/doc/Distribution/ModuleTest.hs.raw
	cpphs --noline Distribution/Simple.hs > dist/doc/Distribution/Simple.hs.raw
	cpphs --noline Distribution/Make.hs > dist/doc/Distribution/Make.hs.raw
	cpphs --noline Distribution/InstalledPackageInfo.hs > dist/doc/Distribution/InstalledPackageInfo.hs.raw
	cpphs --noline Distribution/Simple/Build.hs > dist/doc/Distribution/Simple/Build.hs.raw
	cpphs --noline Distribution/Simple/Install.hs > dist/doc/Distribution/Simple/Install.hs.raw
	cpphs --noline Distribution/Simple/Configure.hs > dist/doc/Distribution/Simple/Configure.hs.raw
	cpphs --noline Distribution/Simple/Register.hs > dist/doc/Distribution/Simple/Register.hs.raw
	cpphs --noline Distribution/Simple/Utils.hs > dist/doc/Distribution/Simple/Utils.hs.raw
	cpphs --noline Distribution/Simple/SrcDist.hs > dist/doc/Distribution/Simple/SrcDist.hs.raw
	cpphs --noline Distribution/Simple/GHCPackageConfig.hs > dist/doc/Distribution/Simple/GHCPackageConfig.hs.raw
	cpphs --noline Distribution/GetOpt.hs > dist/doc/Distribution/GetOpt.hs.raw
	find dist/doc/Distribution -name "*.raw"|xargs haddock --html --odir=dist/tmp/doc/html --title="The Haskell Cabal" --source=http://cvs.haskell.org/darcs/cabal/ 
	rm -r dist/doc/*
	mv dist/tmp/doc/html dist/doc
	rmdir dist/tmp/doc

clean: clean-cabal clean-hunit clean-test

clean-cabal:
	-rm -f Distribution/*.o Distribution/*.hi
	-rm -f Distribution/Simple/*.o Distribution/Simple/*.hi
	-rm -f Compat/*.o Compat/*.hi
	-rm -f library-infrastructure--darcs.tar.gz
	-rm -rf setup *.o *.hi moduleTest dist installed-pkg-config
	-rm -f build-stamp
	-rm -rf dist/hugs

clean-hunit:
	-rm -f hunit-stamp hunitInstall-stamp
	cd test/HUnit-1.0 && make clean

clean-test:
	cd test/A && make clean
	cd test/wash2hs && make clean

remove: remove-cabal remove-hunit
remove-cabal:
	-ghc-pkg $(GHCPKGFLAGS) -r Cabal
	-rm -rf $(PREF)/lib/Cabal-0.1
remove-hunit:
	-ghc-pkg $(GHCPKGFLAGS) -r HUnit
	-rm -rf $(PREF)/lib/HUnit-1.0

# dependencies (included):

hunit: hunit-stamp
hunit-stamp:
	cd test/HUnit-1.0 && make && ./setup configure --prefix=$(PREF) && ./setup build
	touch $@

hunitInstall: hunitInstall-stamp
hunitInstall-stamp: hunit-stamp
	cd test/HUnit-1.0 && ./setup install $(USER_FLAG)
	touch $@

# testing...

moduleTest:
	mkdir -p dist/debug
	ghc $(GHCFLAGS) $(ISPOSIX) -DDEBUG -odir dist/debug -hidir dist/debug -idist/debug/:.:test/HUnit-1.0/src Distribution/ModuleTest -o moduleTest

tests: moduleTest clean
	cd test/A && make clean
	cd test/HUnit-1.0 && make clean
	cd test/A && make
	cd test/HUnit-1.0 && make

check: tests
	./moduleTest

# distribution...

pushall:
	darcs push --all ijones@cvs.haskell.org:/home/darcs/cabal

pushdist: pushall dist
	scp /tmp/cabal-code.tgz ijones@www.haskell.org:~/cabal/cabal-code.tgz
#	rm -f /tmp/cabal-code.tgz

dist: haddock
	darcs dist
	mv cabal.tar.gz /tmp
	cd /tmp && tar -zxvf cabal.tar.gz
	mkdir -p /tmp/cabal/doc
	cp -r dist/doc/html /tmp/cabal/doc/API
	cd ~/usr/doc/haskell/haskell-report/packages && docbook2html -o /tmp/pkg-spec-html pkg-spec.sgml && docbook2pdf pkg-spec.sgml -o /tmp
	cp -r /tmp/pkg-spec{-html,.pdf} /tmp/cabal/doc

	cd /tmp && tar -zcvf cabal-code.tgz cabal
	rm -f /tmp/cabal.tar.gz
	rm -rf /tmp/cabal

=== test/A/Makefile ===
all:
	mkdir -p dist/tmp
	ghc -cpp --make -odir dist/tmp -hidir dist/tmp -i../.. Setup.lhs -o setup
clean:
	rm -f setup a.out dist/build/testA
	rm -rf ,tmp dist ,tmp2
	find . -name "*.o" |xargs rm -f
	find . -name "*.hi" |xargs rm -f
check: all
	./setup configure --user --prefix=/tmp/foo
	./setup build
	./setup install --install-prefix=/tmp/bar
	ls /tmp/bar*
	# install w/ register!
	./setup install
#	ls /tmp/foo*
	./setup sdist
	ls dist

=== test/HUnit-1.0/Makefile ===
all:
	mkdir -p dist/tmp
	ghc -cpp --make -odir dist/tmp -hidir dist/tmp -i../.. Setup.lhs -o setup
semiclean:
	rm -rf ,tmp dist
	find . -name "*.o" |xargs rm -f
	find . -name "*.hi" |xargs rm -f
clean: semiclean
	rm -f setup a.out hunitTest
	rm -f installed-pkg-config

check: all
	./setup configure --user --prefix=/tmp/foo
	./setup install --install-prefix=/tmp/bar
	ls /tmp/bar*
	# install w/ register!
	./setup install
#	ls /tmp/foo*
	./setup sdist
	ls dist

=== test/wash2hs/Makefile ===
all:
	mkdir -p dist/tmp
	ghc -cpp --make -odir dist/tmp -hidir dist/tmp -i../.. Setup.lhs -o setup
clean:
	rm -f setup
	rm -rf ,tmp dist ,tmp2
	find . -name "*.o" |xargs rm -f
	find . -name "*.hi" |xargs rm -f
check: all
	./setup configure --user --prefix=/tmp/foo
	./setup build
	./setup install --install-prefix=/tmp/bar
	ls /tmp/bar*
	# install w/ register!
	./setup install
#	ls /tmp/foo*
	./setup sdist
	ls dist

## haskell-cabal 1.1.3build1

=== debian/changelog ===
haskell-cabal (1.1.3build1) dapper; urgency=low

  * Rebuild for registered/unregistered changes of ghc6 on amd64/sparc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sun,  9 Apr 2006 17:10:04 +0200

haskell-cabal (1.1.3) unstable; urgency=low

  * Release candidate for 1.2 (Closes: #311835).
  * WARNING: Interfaces not documented in the user's guide may
    change in future releases.
  * Move building of GHCi .o libs to the build phase rather than
    register phase. (from Duncan Coutts)
  * Use .tar.gz for source package extension
  * Uses GHC instead of cpphs if the latter is not available
  * Added experimental "command hooks" which completely override the
    default behavior of a command.
  * Some bugfixes
  * added ./setup test (Closes: #303605).
  * fixed truncate of configure flags (Closes: #304206).
  * fixed generation of empty package.conf (Closes: #307028).
  * builds ghci libs during build phase (Closes: #308263).
  
 -- Isaac Jones <ijones@debian.org>  Sat, 22 Oct 2005 11:38:59 -0700

haskell-cabal (1.1.1) unstable; urgency=low

  * Release candidate for 1.2.
  * WARNING: Interfaces not documented in the user's guide may
    change in future releases.
  * Handles recursive modules for GHC 6.2 and GHC 6.4.
  * Added "setup test" command (Used with UserHook)
  * implemented handling of _stub.{c,h,o} files
  * Added support for profiling
  * Changed install prefix of libraries (pref/pkgname-version
     to prefix/pkgname-version/compname-version)
  * Added pattern guards as a language extension
  * Moved some functionality to Language.Haskell.Extension
  * Register / unregister .bat files for windows
  * Exposed more of the API
  * Added support for the hide-all-packages flag in GHC > 6.4
  * Several bug fixes

 -- Isaac Jones <ijones@debian.org>  Sun, 17 Jul 2005 22:16:42 -0700

haskell-cabal (0.5-1) unstable; urgency=low

  * new upstream version.  see upstream changelog for more info.
  * some interface changes, see upstream changelog

 -- Isaac Jones <ijones@debian.org>  Sat, 19 Feb 2005 12:41:18 -0800

haskell-cabal (0.4-1) unstable; urgency=low

  * new upstream version.  see upstream changelog for more info.
  * some interface changes, see upstream changelog.
  * bumped standards-version.

 -- Isaac Jones <ijones@debian.org>  Sat, 15 Jan 2005 12:55:49 -0800

haskell-cabal (0.2-3) unstable; urgency=low

  * added depends on posix (Closes: #280244).

 -- Isaac Jones <ijones@debian.org>  Mon,  8 Nov 2004 07:01:53 -0800

haskell-cabal (0.2-2) unstable; urgency=low

  * Removed spurious depends on ghc5.  Should close 279988.  I'll close
    that by hand once I'm sure.

 -- Isaac Jones <ijones@debian.org>  Sun,  7 Nov 2004 14:21:38 -0800

haskell-cabal (0.2-1) unstable; urgency=low

  * New upstream release
  * Includes cleanup of treatment of the local packages file
    ~/.ghc-packages.  Doesn't touch this file unless it's
    necessary. (Closes: #278667 Closes: #279556).
  * Some work on preprocessors.

 -- Isaac Jones <ijones@debian.org>  Tue,  2 Nov 2004 20:06:22 -0800

haskell-cabal (0.1-4) unstable; urgency=low

  * Added basic infrastructure for multiple targets, though
    have not yet enabled it because it doesn't yet work upstream.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Oct 2004 19:45:27 -0500

haskell-cabal (0.1-3) unstable; urgency=low

  * Fixed old postinst, postrm scripts to do the right thing in more cases.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Oct 2004 16:25:29 -0500

haskell-cabal (0.1-2) unstable; urgency=low

  * Install binary under /usr/lib/haskell-libraries/ghc6 in keeping
    with new Haskell policy.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Oct 2004 15:56:03 -0500

haskell-cabal (0.1-1) unstable; urgency=low

  * Initial release.  Closes: #275069.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 05 Oct 2004 13:36:08 -0500

=== debian/control ===
Source: haskell-cabal
Priority: optional
Maintainer: Isaac Jones <ijones@debian.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1)
Standards-Version: 3.6.1
Suggests: haddock, cpphs

Package: libghc6-cabal-dev
Section: devel
Architecture: any
Depends: ghc6 (>= 6.4.1), ghc6 (<< 6.4.2)
Description: Haskell Common Architecture for Building Applications and Libraries
 The Haskell Cabal is a system for building and installing Haskell
 programs and libraries.  It is aware of multiple different compilers
 and can handle them without trouble.
 .
 This package will provide the infrastructure necessary to build
 Cabalized packages on Debian machines, or to Debianize those packages.

## haskell-cabal 1.1.3ubuntu1

=== debian/changelog ===
haskell-cabal (1.1.3ubuntu1) edgy; urgency=low

  * Rebuild for ghc 6.4.2.
  * Update control: 
    - build-dependency needs newer ghc now
    - dependency on newer ghc for library package.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 30 Jun 2006 14:09:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: haskell-cabal
 Priority: optional
 Maintainer: Isaac Jones <ijones@debian.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2)
 Standards-Version: 3.6.1
 Suggests: haddock, cpphs
 
 Package: libghc6-cabal-dev
 Section: devel
 Architecture: any
-Depends: ghc6 (>= 6.4.1), ghc6 (<< 6.4.2)
+Depends: ghc6 (>= 6.4.2), ghc6 (<< 6.4.3)
 Description: Haskell Common Architecture for Building Applications and Libraries
  The Haskell Cabal is a system for building and installing Haskell
  programs and libraries.  It is aware of multiple different compilers

## haskell-cabal 1.1.3ubuntu2

=== debian/changelog ===
haskell-cabal (1.1.3ubuntu2) feisty; urgency=low

  * Rebuild for newer ghc6.
  * Tighten build-dependency in debian/control again.
  * Update dependency for newer ghc6 as well.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat,  9 Dec 2006 16:56:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: haskell-cabal
 Priority: optional
 Maintainer: Isaac Jones <ijones@debian.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6)
 Standards-Version: 3.6.1
 Suggests: haddock, cpphs
 
 Package: libghc6-cabal-dev
 Section: devel
 Architecture: any
-Depends: ghc6 (>= 6.4.2), ghc6 (<< 6.4.3)
+Depends: ghc6 (>= 6.6), ghc6 (<< 6.7)
 Description: Haskell Common Architecture for Building Applications and Libraries
  The Haskell Cabal is a system for building and installing Haskell
  programs and libraries.  It is aware of multiple different compilers

## haskell-cabal 1.1.3ubuntu3

=== debian/changelog ===
haskell-cabal (1.1.3ubuntu3) gutsy; urgency=low

  * Rebuild for newer ghc6 minor version.
  * Update debian maintainer field due to policy.
  * Tighten dependency even more for minor version.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sun, 17 Jun 2007 23:00:37 +0200

=== debian/control ===
Source: haskell-cabal
Priority: optional
XSBC-Original-Maintainer: Isaac Jones <ijones@debian.org>
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1)
Standards-Version: 3.6.1
Suggests: haddock, cpphs

Package: libghc6-cabal-dev
Section: devel
Architecture: any
Depends: ghc6 (>= 6.6.1), ghc6 (<< 6.6.1+)
Description: Haskell Common Architecture for Building Applications and Libraries
 The Haskell Cabal is a system for building and installing Haskell
 programs and libraries.  It is aware of multiple different compilers
 and can handle them without trouble.
 .
 This package will provide the infrastructure necessary to build
 Cabalized packages on Debian machines, or to Debianize those packages.

## haskell-cabal 1.20.0.2

=== debian/changelog ===
haskell-cabal (1.20.0.2-1) unstable; urgency=medium

  * New upstream release
  * Add patch: quickcheck 2.7 compatibility

 -- Joachim Breitner <nomeata@debian.org>  Wed, 30 Jul 2014 22:52:23 +0200

haskell-cabal (1.20.0.1-1) unstable; urgency=low

  * Initial release.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 09 Jun 2014 12:02:18 +0200

=== debian/control ===
Source: haskell-cabal
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.20)
  , ghc
  , ghc-prof
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/Cabal
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-cabal
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-cabal
X-Description: Framework for packaging Haskell software
 The Haskell Common Architecture for Building Applications and
 Libraries: a framework defining a common interface for authors to more
 easily build their Haskell applications in a portable way.

Package: libghc-cabal-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-cabal-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-cabal-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-cabal 1.22.1.1

=== debian/changelog ===
haskell-cabal (1.22.1.1-2build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Jun 2015 12:06:55 +0100

haskell-cabal (1.22.1.1-2build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 May 2015 14:23:43 +0100

haskell-cabal (1.22.1.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:48:07 +0200

haskell-cabal (1.22.1.1-1) experimental; urgency=medium

  * New upstream version
  * Remove doc-sources (now distributed by upstream)
  * Remove quickcheck patch (fixed upstream)
  * Make debian/copyright comply dep5

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 15 Mar 2015 13:49:03 +0300

haskell-cabal (1.20.0.2-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: haskell
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Joachim Breitner <nomeata@debian.org>
+Uploaders: Joachim Breitner <nomeata@debian.org>, Dmitry Bogatov <KAction@gnu.org>
 Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8.20)
+  , haskell-devscripts (>= 0.9)
   , ghc
   , ghc-prof
 Build-Depends-Indep: ghc-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Homepage: http://hackage.haskell.org/package/Cabal
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-cabal
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-cabal

## haskell-cabal 1.22.4.0

=== debian/changelog ===
haskell-cabal (1.22.4.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 22 Dec 2015 10:36:15 +0100

haskell-cabal (1.22.4.0-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:09 -0500

haskell-cabal (1.22.4.0-1) experimental; urgency=medium

  * New upstream release
  * Drop installing the user guide. It is a bunch of markdown files now. It
    can probably be resurrected, if someone feels like investing time here.
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:06 +0200

## haskell-cabal 1.22.5.0

=== debian/changelog ===
haskell-cabal (1.22.5.0-2) unstable; urgency=medium

  * Backport patch to provide --show-detail=direct, mostly to work around
    problems with `setup test` on architectures with insufficient threading
    support in GHC (https://github.com/haskell/cabal/issues/2398).  This
    matches a patch also in the ghc package, but we need it here as well for
    the sake of packages that build-depend on libghc-cabal-dev.

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Jan 2016 11:08:17 +0000

haskell-cabal (1.22.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 26 Dec 2015 16:18:17 +0300

=== debian/control ===
Source: haskell-cabal
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>, Dmitry Bogatov <KAction@gnu.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.6
Homepage: http://www.haskell.org/cabal/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: Framework for packaging Haskell software
 The Haskell Common Architecture for Building Applications and
 Libraries: a framework defining a common interface for authors to more
 easily build their Haskell applications in a portable way.

Package: libghc-cabal-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-cabal-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-cabal-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

# DEB_ENABLE_TESTS = yes

clean::
	find \( -name \*.hi -o -name \*.o \) -delete

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
http://hackage.haskell.org/package/Cabal/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-cabal 1.22.8.0

=== debian/changelog ===
haskell-cabal (1.22.8.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 28 May 2016 13:40:53 +0200

haskell-cabal (1.22.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Sven Bartscher <sven.bartscher@weltraumschlangen.de>  Tue, 15 Mar 2016 19:50:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  ghc,
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.haskell.org/cabal/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 X-Description: Framework for packaging Haskell software
  The Haskell Common Architecture for Building Applications and
  Libraries: a framework defining a common interface for authors to more

## haskell-cabal 1.24.1.0

=== debian/changelog ===
haskell-cabal (1.24.1.0-1build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2017 11:32:44 +0100

haskell-cabal (1.24.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 10 Nov 2016 00:10:25 -0500

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Priority: extra
 Section: haskell
 Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+ haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 8),
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
 Standards-Version: 3.9.8
 Homepage: http://www.haskell.org/cabal/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
-X-Description: Framework for packaging Haskell software
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+X-Description: framework for packaging Haskell software
  The Haskell Common Architecture for Building Applications and
  Libraries: a framework defining a common interface for authors to more
  easily build their Haskell applications in a portable way.

## haskell-cabal 1.24.2.0

=== debian/changelog ===
haskell-cabal (1.24.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 13:56:48 -0400

## haskell-cabal 2.0.1.1

=== debian/changelog ===
haskell-cabal (2.0.1.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 15:28:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: haskell-cabal
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>, Dmitry Bogatov <KAction@gnu.org>
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends: debhelper (>= 9),
  haskell-devscripts (>= 0.13),
@@ -9,10 +9,10 @@
  ghc (>= 8),
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://www.haskell.org/cabal/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-cabal
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 X-Description: framework for packaging Haskell software
  The Haskell Common Architecture for Building Applications and
  Libraries: a framework defining a common interface for authors to more

=== debian/watch ===
version=3
https://hackage.haskell.org/package/Cabal/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-cabal 2.2.0.1

=== debian/changelog ===
haskell-cabal (2.2.0.1-3) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:11 +0300

haskell-cabal (2.2.0.1-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:27 +0300

haskell-cabal (2.2.0.1-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 29 Sep 2018 14:34:41 +0300

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Joachim Breitner <nomeata@debian.org>, Dmitry Bogatov <KAction@gnu.org>
 Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.13),
  cdbs,
- ghc (>= 8),
+ ghc (>= 8.4.3),
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
 Standards-Version: 4.1.4
 Homepage: http://www.haskell.org/cabal/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-cabal
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-cabal]
 X-Description: framework for packaging Haskell software
  The Haskell Common Architecture for Building Applications and
  Libraries: a framework defining a common interface for authors to more
